import App from './App'

import cuCustom from './components/statusBar/cu-custom'
Vue.component('cu-custom',cuCustom)


import halfLogin from './components/login/halfScreen'
Vue.component('half-login',halfLogin)

// #ifndef VUE3
import Vue from 'vue'
import VueCompositionAPI from "@vue/composition-api";
Vue.use(VueCompositionAPI)

import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif